List Indexes
curl --request GET \
--url https://api.example.com/v1/projects/{project_id}/indexes \
--header 'x-api-key: <api-key>' \
--header 'x-selected-account-id: <api-key>'import requests
url = "https://api.example.com/v1/projects/{project_id}/indexes"
headers = {
"x-api-key": "<api-key>",
"x-selected-account-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-selected-account-id': '<api-key>'}
};
fetch('https://api.example.com/v1/projects/{project_id}/indexes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"project_id": "<string>",
"name": "<string>",
"engine_type": "file_system",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "pending"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Indexes
List Indexes
List all indexes for a project.
GET
/
v1
/
projects
/
{project_id}
/
indexes
List Indexes
Authorizations
API key for authentication
Selected Account ID
Path Parameters
Response
Successful Response
ID of the entity
ID of the project
Display name of the index
Type of index engine
Available options:
file_system Creation timestamp
Last update timestamp
Index status
Available options:
pending, ready, updating, failed ⌘I

